> ## Documentation Index
> Fetch the complete documentation index at: https://tile.run/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get extraction results

> Get the results of a schema extraction job by polling

## Response structure

The response contains extracted data organized hierarchically. Each field in `extracted_data` can be either:

* A primitive field (like `invoice_number`)
* An object containing nested fields (like `customer`)
* An array of objects (like `line_items`)

Each primitive field contains:

* `name`: Field identifier
* `value`: Extracted content
* `confidence`: Accuracy score (0-1)
* `field_type`: Data type (string, number, date, phone, email)
* `page_index`: Page from which the value was extracted
* `source_context`: Extraction context details

See below for an example with primitives, objects and an array:

```json theme={null}
{
  "schema_name": "string",
  "schema_description": "string",
  "extracted_data": {
    "name": "Invoice",
    "fields": {
      "invoice_number": {
        "name": "invoice_number",
        "value": "INV-12322",
        "field_type": "string",
        "confidence": 0.95,
        "source_context": "string",
        "page_index": 1
      },
      "customer": {
        "name": {
          "name": "name",
          "value": "Acme",
          "field_type": "string",
          "confidence": 0.95,
          "source_context": "string",
          "page_index": 1
        },
        "email": {
          "name": "email",
          "value": "acme@email.com",
          "field_type": "email",
          "confidence": 0.95,
          "source_context": "string",
          "page_index": 1
        }
      },
      "line_items": [
        {
          "description": {
            "name": "description",
            "value": "Services for SEO",
            "field_type": "string",
            "confidence": 0.95,
            "source_context": "string",
            "page_index": 1
          },
          "amount": {
            "name": "amount",
            "value": 200,
            "field_type": "number",
            "confidence": 0.95,
            "source_context": "string",
            "page_index": 1
          }
        }
      ]
    },
    "field_type": "object"
  }
}
```


## OpenAPI

````yaml GET /extract/{extraction_id}
openapi: 3.0.1
info:
  title: tile.run API
  description: API to extract structured data from unstructured files.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tile.run/v1
security: []
paths:
  /extract/{extraction_id}:
    get:
      summary: Get extraction results
      description: Get the results of a schema extraction job by polling
      operationId: pollResults
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            format: bearer
          description: Bearer token for authentication
        - name: extraction_id
          in: path
          required: true
          schema:
            type: string
          description: ID of the extraction job
      responses:
        '200':
          description: Extraction results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtractionResult'
components:
  schemas:
    ExtractionResult:
      type: object
      required:
        - extraction_id
        - file_id
        - status
        - created_at
        - schema_name
        - schema_description
        - extracted_data
        - processing_metadata
      properties:
        extraction_id:
          type: string
          description: ID of the extraction job
        file_id:
          type: string
          description: ID of the file being processed
        status:
          type: string
          enum:
            - PENDING
            - PROCESSING
            - COMPLETED
            - FAILED
          description: Status of the extraction job
        created_at:
          type: string
          format: date-time
          description: When the job was created
        schema_name:
          type: string
          description: Name of the schema used for extraction
        schema_description:
          type: string
          description: Description of the schema used for extraction
        extracted_data:
          type: object
          description: >-
            Object containing extracted data. See above for more information
            about the structure of this object.
        processing_metadata:
          type: object
          required:
            - credits_used
          properties:
            credits_used:
              type: integer
              description: Number of credits used for this extraction

````